VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Disk::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Disk::Info:

## Avaliable Methods
public method | set_capacity ()
public method | get_sata ()
public method | set_type ()
public method | set_scsi ()
public method | set_ide ()
public method | get_backing ()
public method | get_label ()
public method | set_label ()
public method | get_ide ()
public method | get_capacity ()
public method | set_sata ()
public method | set_backing ()
public method | new ()
public method | get_type ()
public method | get_scsi ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Disk::Info` class contains information about a virtual disk.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_backing | ( |  | ) |

Gets the value of 'backing' property.

Return values

  backing | - The current value of the field. Physical resource backing for the virtual disk. BackingInfo#

Code:
click to view
# Number of lines of code in get_backing: 4
sub get_backing {
my ($self, %args) = @_;
return $self->{'backing'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_capacity | ( |  | ) |

Gets the value of 'capacity' property.

Return values

  capacity | - The current value of the field. Capacity of the virtual disk in bytes. Optional#

Code:
click to view
# Number of lines of code in get_capacity: 4
sub get_capacity {
my ($self, %args) = @_;
return $self->{'capacity'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_ide | ( |  | ) |

Gets the value of 'ide' property.

Return values

  ide | - The current value of the field. Address of device attached to a virtual IDE adapter. optional#

Code:
click to view
# Number of lines of code in get_ide: 4
sub get_ide {
my ($self, %args) = @_;
return $self->{'ide'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_label | ( |  | ) |

Gets the value of 'label' property.

Return values

  label | - The current value of the field. Device label. String#

Code:
click to view
# Number of lines of code in get_label: 4
sub get_label {
my ($self, %args) = @_;
return $self->{'label'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_sata | ( |  | ) |

Gets the value of 'sata' property.

Return values

  sata | - The current value of the field. Address of device attached to a virtual SATA adapter. optional#

Code:
click to view
# Number of lines of code in get_sata: 4
sub get_sata {
my ($self, %args) = @_;
return $self->{'sata'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_scsi | ( |  | ) |

Gets the value of 'scsi' property.

Return values

  scsi | - The current value of the field. Address of device attached to a virtual SCSI adapter. optional#

Code:
click to view
# Number of lines of code in get_scsi: 4
sub get_scsi {
my ($self, %args) = @_;
return $self->{'scsi'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of host bus adapter to which the device is attached. HostBusAdapterType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Disk::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 37
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'IDE' => ['ide'],
'SCSI' => ['scsi'],
'SATA' => ['sata'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{label} = $args{'label'};
$self->{type} = $args{'type'};
$self->{ide} = $args{'ide'};
$self->{scsi} = $args{'scsi'};
$self->{sata} = $args{'sata'};
$self->{backing} = $args{'backing'};
$self->{capacity} = $args{'capacity'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Disk::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.disk.info');
$self->set_binding_field('key' => 'label', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Disk::HostBusAdapterType'));
$self->set_binding_field('key' => 'ide', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'IdeAddressInfo')));
$self->set_binding_field('key' => 'scsi', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'ScsiAddressInfo')));
$self->set_binding_field('key' => 'sata', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'SataAddressInfo')));
$self->set_binding_field('key' => 'backing', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Disk::BackingInfo'));
$self->set_binding_field('key' => 'capacity', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_backing | ( |  | ) |

Sets the given value for 'backing' property.

Parameters

  backing | - New value for the field. Physical resource backing for the virtual disk.

Code:
click to view
# Number of lines of code in set_backing: 5
sub set_backing {
my ($self, %args) = @_;
$self->{'backing'} = $args{'backing'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_capacity | ( |  | ) |

Sets the given value for 'capacity' property.

Parameters

  capacity | - New value for the field. Capacity of the virtual disk in bytes.

Code:
click to view
# Number of lines of code in set_capacity: 5
sub set_capacity {
my ($self, %args) = @_;
$self->{'capacity'} = $args{'capacity'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_ide | ( |  | ) |

Sets the given value for 'ide' property.

Parameters

  ide | - New value for the field. Address of device attached to a virtual IDE adapter.

Code:
click to view
# Number of lines of code in set_ide: 5
sub set_ide {
my ($self, %args) = @_;
$self->{'ide'} = $args{'ide'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_label | ( |  | ) |

Sets the given value for 'label' property.

Parameters

  label | - New value for the field. Device label.

Code:
click to view
# Number of lines of code in set_label: 5
sub set_label {
my ($self, %args) = @_;
$self->{'label'} = $args{'label'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_sata | ( |  | ) |

Sets the given value for 'sata' property.

Parameters

  sata | - New value for the field. Address of device attached to a virtual SATA adapter.

Code:
click to view
# Number of lines of code in set_sata: 5
sub set_sata {
my ($self, %args) = @_;
$self->{'sata'} = $args{'sata'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_scsi | ( |  | ) |

Sets the given value for 'scsi' property.

Parameters

  scsi | - New value for the field. Address of device attached to a virtual SCSI adapter.

Code:
click to view
# Number of lines of code in set_scsi: 5
sub set_scsi {
my ($self, %args) = @_;
$self->{'scsi'} = $args{'scsi'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Disk::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of host bus adapter to which the device is attached.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Disk.pm